import { type NumberValue } from "../../../lib/number";
import type { DateFilterValue } from "../../../querying/filters/types";
import type { ParameterValueOrArray } from "../../../../metabase-types/api";
export declare function deserializeStringParameterValue(value: ParameterValueOrArray | null | undefined): string[];
export declare function serializeNumberParameterValue(value: NumberValue[]): ParameterValueOrArray;
export declare function deserializeNumberParameterValue(value: ParameterValueOrArray | null | undefined): NumberValue[];
export declare function normalizeNumberParameterValue(value: ParameterValueOrArray | null | undefined): ParameterValueOrArray;
export declare function deserializeBooleanParameterValue(value: ParameterValueOrArray | null | undefined): boolean[];
export declare function serializeDateParameterValue(value: DateFilterValue): string;
export declare function deserializeDateParameterValue(value: ParameterValueOrArray | null | undefined): DateFilterValue | null;
